%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}
%define realname tclxml

Summary: XML parsing library for the Tcl scripting language
Name:    tcl-%{realname}
Version: 3.2
Release: %mkrel 2
License: BSD
Group:   System/Libraries
URL:     http://tclxml.sourceforge.net/
Source0: http://downloads.sourceforge.net/tclxml/tclxml-%{version}.tar.gz
Source1: pkgIndex.tcl.in.gui
Patch0:  tclxml-3.2-sgmlparser.patch
Patch1: tclxml-3.2-mga-security.patch
BuildRequires:  tcl-devel libxml2-devel libxslt-devel
Obsoletes:      tclxml < 3.2
Obsoletes:      tclxml-devel < 3.2
Obsoletes:      tclxml-libxml2 < 3.2
Obsoletes:      tclxml-expat < 3.2
Obsoletes:      tcldom < 3.2
Obsoletes:      tcldom-devel < 3.2
Obsoletes:      tcldom-expat < 3.2
Obsoletes:      tcldom-libxml2 < 3.2
Provides:       tclxml = %{version}-%{release}
Provides:       tcldom = %{version}-%{release}
Provides:       tclxslt = %{version}-%{release}
Requires:       tcl tcl-tcllib

%description
TclXML is a package that provides XML, DOM, and XSLT parsing for the
Tcl scripting language.

%package devel
Summary: Development files for the tclxml packages
Group: System/Libraries
Requires:       %{name} = %{version}-%{release}
Provides: tclxml-devel = %{version}-%{release}
Provides: tcldom-devel = %{version}-%{release}
%description devel
Development header files for the tclxml packages.  This includes all of the
header files for the tclxml, tcldom, and tclxslt packages

%package gui
Summary: UI widgets for manipulating a DOM tree
Group: System/Libraries
Requires: %{name} = %{version}-%{release} bwidget
Obsoletes: tcldom-gui = %{version}-%{release}
Provides: tcldom-gui = %{version}-%{release}
%description gui
This package provides some useful widgets for manipulating a DOM tree.

%prep
%setup -q -n %{realname}-%{version}
%apply_patches

# Fix a few spurious execute permissions
chmod -x ChangeLog doc/xsltsl/cmp.xsl *.c

# Clean up some DOS line endings
sed -i -e 's/\r//' doc/README.xml.in

%build
%configure2_5x
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -p -m 0644 include/tclxml/*.h %{buildroot}/%{_includedir}/tclxml
mkdir -p %{buildroot}/%{_includedir}/tcldom-libxml2
install -p -m 0644 include/tcldom-libxml2/*.h %{buildroot}/%{_includedir}/tcldom-libxml2
mkdir -p %{buildroot}/%{_includedir}/tclxml-libxml2
install -p -m 0644 include/tclxml-libxml2/*.h %{buildroot}/%{_includedir}/tclxml-libxml2

mkdir -p $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_libdir}/Tclxml%{version} $RPM_BUILD_ROOT%{tcl_sitearch}/%{realname}-%{version}

chmod a-x $RPM_BUILD_ROOT%{tcl_sitearch}/%{realname}-%{version}/*.a

# Install the examples in a -gui subpackage
install -d $RPM_BUILD_ROOT%{tcl_sitelib}/%{realname}-gui%{version}
sed -e 's/@VERSION@/%{version}/' < %{SOURCE1} > $RPM_BUILD_ROOT/%{tcl_sitelib}/%{realname}-gui%{version}/pkgIndex.tcl
install -p -m 0644 examples/tcldom/domtree.tcl \
        examples/tcldom/domtree-treectrl.tcl \
        examples/tcldom/domtext.tcl \
        examples/tcldom/cgi2dom.tcl \
        $RPM_BUILD_ROOT%{tcl_sitelib}/%{realname}-gui%{version}/

%check
# The test suite fails to run properly from the build directory.
#make test


%files
%dir %{tcl_sitearch}/%{realname}-%{version}
%{tcl_sitearch}/%{realname}-%{version}/*.so
%{tcl_sitearch}/%{realname}-%{version}/*.tcl
%doc LICENSE ANNOUNCE ChangeLog README.html
%doc doc/*.html

%files devel
%{_includedir}/tclxml
%{_includedir}/tcldom-libxml2
%{_includedir}/tclxml-libxml2
%{_libdir}/TclxmlConfig.sh
%{tcl_sitearch}/%{realname}-%{version}/*.a

%files gui
%dir %{tcl_sitelib}/%{realname}-gui%{version}
%{tcl_sitelib}/%{realname}-gui%{version}/*.tcl


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.2-2.mga4
+ Revision: 538749
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 3.2-1.mga4
+ Revision: 490319
- imported package tcl-tclxml

